Macaulay2 » Documentation
Packages » MultiprojectiveVarieties :: dim(MultiprojectiveVariety)
next | previous | forward | backward | up | index | toc

# dim(MultiprojectiveVariety) -- the dimension of the variety

- Function: dim
- Usage:
    `dim X`
- Inputs:
  - X, a multi-projective variety
- Outputs:
  - an integer, the dimension of $X$

## Description

    i1 : X = PP_QQ^({2,1},{1,3});

    o1 : ProjectiveVariety, threefold in PP^2 x PP^3

    i2 : dim X

    o2 = 3

## See also

- codim(MultiprojectiveVariety) -- the codimension of the variety

## Ways to use this method:

- dim(MultiprojectiveVariety) -- the dimension of the variety

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MultiprojectiveVarieties.m2:2539:0.